Skip to main content

Create Association

POST 

/client/users/:correlation_id/associations

This request is used to create account association.

  • associationType and associationValue are mandatory parameters.
  • Association Type should be a valid one as per the configuration.
  • Association Value can be 3-128 alphanumeric characters with space, hyphen and underscore.
  • As per configuration (Exclusive = true), child accounts can currently be associated with only one parent account.

Request

Body

AttributeDefinitionFormatNotes
associationTypeProvides type of associationStringMandatory attribute.
associationValueProvides value for associationStringMandatory attribute.

Response

AttributeDefinitionFormatNotes
accountIDThe accountId for which association was created for.String
associationKeyConcatenation of the Type and Value returned.String
associationTypeType of the associationString
associationValueValue of the associationString

Error Responses

statusCodeerrorMessageerrorCodeDefinition
400 Bad RequestAccount Association feature is not supported.INVALID_REQUESTA valid request to created association but the feature is disabled.
400 Bad RequestSHIP_TO association type is not valid.INVALID_REQUESTA request with associationType that is not configured in system.
400 Bad RequestAssociation already exists.INVALID_REQUESTA valid request to add more than one association which is invalid.

Request

Responses

200 - Create Account Association